# Murata ALT1250 Satellite NTN Network

[**Murata LBAD0XX1SC-DM**](https://www.murata.com/en-us/products/connectivitymodule/lpwa/overview/lineup/type-1sc) The Type 1SC module is the world’s smallest Cat. M1/NB-IoT module with global certification. It supports GPS/GNSS, OpenMCU, and Integrated SIMS.

## Set up Murata Kit (LBAD0XX1SC-DM-EVK2)

![](https://3922449203-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-M0mPxGpottOEfcucXOR%2Fuploads%2FsdbGp2xXJqGltGlIuFRl%2FMurata.jpeg?alt=media\&token=88973f41-7b9b-4499-a592-68d31fe247ef)

## Quick Navigation

* [Set up the EVK Kit](#set-up-the-evk-kit)
* [Connect to Skylo](#connect-the-lbad0xx1sc-to-skylo)
* [Test the connection by sending UDP payload](#test-the-connection-by-sending-a-udp-payload)
* [Useful Links](#useful-links)
* [Video Tutorial](#useful-links)

## Set up the EVK Kit

* Connect the **UBC Cable** to the EVK kit as shown on the photo above
* **Connect the LTE antenna** as shown on the photo above
* Insert the **Monogoto SIM**

#### **Connect your PC to the EVK Kit**

Use the USB to connect your computer to the **AT CMD** port of the EVK Kit

{% hint style="info" %}
When using Windows, install the driver using the disk or USB stick provided by Murata.
{% endhint %}

Connect to the EVK kit using a **terminal program**. You can use PuTTY for Windows, or Screen, minicom, or Miniterm for Mac or Linux.

Set the baud rate to **115200** Enter **`AT`**, if the connection with the LBAD0XX1SC-DM modem has been established, the board will answer with `OK`.

## Connect the LBAD0XX1SC to Skylo

{% hint style="info" %}
Keep the **AT Commands manual** next to you for more details about the commands. [**Click here**](https://www.murata.com/en-us/products/connectivitymodule/lpwa/overview/lineup/type-1sc) to download the latest version, and scroll down to **Documentation and Resources** to find the AT Commands Manual.
{% endhint %}

{% hint style="danger" %}
For some firmware versions, you need to click and hold the `SW1` button in order to send AT Commands to the module.
{% endhint %}

#### **Reboot the Module**:

```bash
ATZ
```

Check the **status of the SIM card**. The correct response should be: `+CPIN: READY`

```
AT+CPIN?
```

{% hint style="success" %}
+CPIN: READY means that the SIM is ready for use and does not require any PIN entry.
{% endhint %}

### Executing Commands by Version

Execute various commands based on the software version you are using. Make sure to execute the commands that correspond to your version.

**Query device information**

Request the **product type, hardware,** and **firmware** **version**:

```bash
ATI
```

{% hint style="warning" %}
Example response:

Revision: RK\_03\_02\_00\_00\_41841\_001
{% endhint %}

Request the **IMSI** (International Mobile Subscriber Identity):

```
AT+CIMI
```

Request the **ICCID** (Integrated Circuit Card ID), which is the identification number of the iSIM&#x20;

```
AT%CCID
```

**Set the error reporting to verbose**, resulting in more descriptive error messages (optional):

```bash
AT%SETACFG="manager.urcBootEv.enabled","true"
```

Check the **SIM initialization selection policy** is currently using:

<pre><code><strong>AT%GETCFG="SIM_INIT_SELECT_POLICY"
</strong></code></pre>

Expected response:

`SIM_INIT_SELECT_POLICY:5`. The last digit indicates the Active SIM:\
`0` indicates **External (SIM card)**\
`5` indicates **Internal (iSIM)**

&#x20;**Enable** the External SIM card

```
AT%SETCFG="SIM_INIT_SELECT_POLICY","0"
```

#### **Reboot the Module**:

```bash
ATZ
```

### **Set the NTN Parameter** (enter the commands)

```bash
AT%SETACFG="radiom.config.multi_rat_enable","true"
AT%SETACFG="radiom.config.preferred_rat_list","none" 
AT%SETACFG="radiom.config.auto_preference_mode","none"
AT%SETACFG="locsrv.operation.locsrv_enable","true"
AT%SETACFG="locsrv.internal_gnss.auto_restart","enable"
AT%SETACFG="modem_apps.Mode.AutoConnectMode","true"
ATZ
```

#### Define the NB-IoT NTN &#x20;

```
AT%RATACT="NBNTN","1"
```

**Disable** **the** **radio**

```bash
AT+CFUN=0
```

**Set the APN to** `data.mono`:

```json
AT%PDNSET=1,"DATA.MONO","IP"
```

**Lock the modem to a specific region/band**

```
AT%SETSYSCFG=SW_CFG.nb_band_table.band#1,ENABLE;255
or
AT%SETCFG="BAND","255"
```

{% hint style="info" %}
Although the modem may support many different NTN bands,&#x20;

23 = Canada

255 = L band Global (United States, Taiwan, Australia, New Zealand, Japan)&#x20;

256 = S band Europe
{% endhint %}

**Lock the modem to a GNSS mode to Internal GNSS Mode**

<pre><code><strong>AT%NTNCFG="POS","IGNSS","0"
</strong></code></pre>

**Reset** in order for the parameters to take effect

#### **Reboot the Module**:

```bash
ATZ
```

### Network Activation

**Disable** **radio**

```bash
AT+CFUN=0
```

**Enable GNSS and NTN** reception notification:

```bash
AT%IGNSSEV="FIX",1        
AT%NOTIFYEV="SIB31",1     
```

&#x20;**Report** notification about Timing Advance calculation:

**Send registration status**

```
AT+CEREG=2
```

**Enable iGNSS**&#x20;

```bash
AT%IGNSSACT=1
```

{% hint style="warning" %}
it is crucial to wait until a valid GPS location is acquired before continuing operations. This ensures that the device is properly connected to the satellite network and can function accurately within its coverage.\
\
example response &#x20;

%IGNSSEVU: // Wait to FIX URC is received ←"FIX",1,"09:25:24","11/09/2024","xxxxx","-yyyyyy","113.6",1726046724000,4.6,"0.000000","B",7
{% endhint %}

**Enable** **radio**

```
AT+CFUN=1
```

Example response:

```
OK
CEREG: 2
%NOTIFYEV: "SIB31"
+CEREG: 0
+CEREG: 2
%NOTIFYEV: "SIB31"
+CEREG: 5,"07ED","002C480D",9  
```

#### CEREG State Change Report Codes

The table below provides an overview of the possible values for CEREG state change reports, indicating the module's network registration status.

<table><thead><tr><th width="87">Value</th><th>Description</th></tr></thead><tbody><tr><td><strong>0</strong></td><td>Not registered, and the module is not searching for a network.</td></tr><tr><td><strong>1</strong></td><td>Registered to the home network.</td></tr><tr><td><strong>2</strong></td><td>Not registered, but the module is attempting to attach or searching for a network.</td></tr><tr><td><strong>3</strong></td><td>Registration denied by the network.</td></tr><tr><td><strong>4</strong></td><td>Unknown (for example, out of coverage) </td></tr><tr><td><strong>5</strong></td><td>Registered and roaming.</td></tr></tbody></table>

### Query the signal measurement&#x20;

request a specific network measurement, such as signal strength, noise levels, or other metrics:

```
AT%MEAS="8"
```

Example response: `%MEAS:Signal Quality:RSRP= -115,RSRQ= -15,SINR= -3,RSSI= -120.`&#x20;

### Gather detailed information on physical connectivity and eNB

request physical connectivity

```
AT%PCONI
```

<details>

<summary>Example response: </summary>

```
duplexing mode: FDD
Transmission mode: SISO
Bandwidth: 180kHz
EARFCN: 7699
Global Cell ID: 0x002C480D
Physical Cell ID: 29
HNBN: N/A
Band: 23
```

</details>

## Test the connection by sending UDP payload&#x20;

{% hint style="warning" %}
When using Non-Terrestrial Networks, data can only be sent using UDP.
{% endhint %}

In order to send data using UDP, 4 AT Commands needs to be sent:

1. **Create UDP socket**
2. **Activate socket**
3. **Send UDP data**
4. **Close UDP Socket**

### **1. Create UDP socket**&#x20;

```
AT%SOCKETCMD="ALLOCATE",1,"UDP","OPEN","<ip address>",<port> 
```

Example message: <mark style="color:red;">`AT%SOCKETCMD="ALLOCATE",1,"UDP","OPEN","34.192.142.126",12345`</mark>

Example response: <mark style="color:red;">`%SOCKETCMD:1`</mark>

### **2. Activate Socket**&#x20;

```
AT%SOCKETCMD="ACTIVATE",1
```

Example response: <mark style="color:red;">`%SOCKETCMD:1`</mark>

### **3. Send UDP data**&#x20;

```
AT%SOCKETDATA="SEND",1,<length>,"<data>"
```

Example message: <mark style="color:red;">`AT%SOCKETDATA="SEND",1,13,"48656C6C6F2C20776F726C6421"`</mark>

Example response: <mark style="color:red;">`%SOCKETDATA:1,13`</mark>

{% hint style="warning" %}
Make sure to exactly count the number of characters you send, or you will receive an error.
{% endhint %}

{% hint style="danger" %}
It' s not possible to send text to the module, instead we need to send hexadecimal values. Convert possible text string to hexadecimal numbers using a program like [rapidtables](https://www.rapidtables.com/convert/number/ascii-to-hex.html).
{% endhint %}

{% hint style="info" %}
It may take up to 10 seconds for the message to be fully processed.&#x20;
{% endhint %}

**Request info UDP Socket**

```
AT%SOCKETCMD="INFO",1
```

Example response: <mark style="color:red;">`%SOCKETCMD:"ACTIVATED","UDP","10.22.243.30","34.192.142.126",12345,7`</mark>

### **4. Close UDP socket**

End your UDP session by closing the UDP socket.

```
AT%SOCKETCMD="DELETE",1
```

Expected response: <mark style="color:red;">`OK`</mark>

## Test UDP Payload with Ubidots

To quickly test if UDP messages are successfully sent, you can use a platform like **Ubidots**.

Learn more in our Ubidots guide:  [ubidots](https://docs.monogoto.io/developer/cloud-integrations/ubidots "mention")

{% hint style="success" %}
**Great work on connecting the Murata LBAD0XX1SC-DM to Monogoto!** Have a look at the **Things** logs in the [**Monogoto Console**](https://console.monogoto.io/) to find more details about the established connection.
{% endhint %}

## Transition Between Satellite Network and Public Network

When transitioning between satellite and public networks using the Murata Kit use the following commands:

#### Command for Switching to Public Network:&#x20;

```
AT%RATACT="CATM","1"
```

This command activates the CAT-M mode for public networks, allowing the device to switch from satellite connectivity to a cellular public network.

#### Command for Switching Back to Satellite Network &#x20;

```
AT%RATACT="NBNTN","1"
```

This command activates the NBNTN mode, returning the device to satellite network connectivity.

{% hint style="success" %}
**Great work on connecting the Murata LBAD0XX1SC-DM to Monogoto!** Have a look at the **Things** logs in the [**Monogoto Console**](https://console.monogoto.io/) to find more details about the established connection.
{% endhint %}

## Useful Links

* [QLBAD0XX1SC-DM product page](https://www.murata.com/en-us/products/connectivitymodule/lpwa/overview/lineup/type-1sc#anchor-3)
* [QLBADXX1SC-DM Quick Start Guide](https://3922449203-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-M0mPxGpottOEfcucXOR%2Fuploads%2FIQSItX6iyZ35t7a1wnVf%2FLPWA%20Type%201SC%20Quick%20start%20guide_Ver3%201.pdf?alt=media\&token=f8493020-a0a8-4e34-afb8-246540645017)
* [QLBADXX1SC-DM DataSheet](https://wireless.murata.com/pub/RFM/data/lbad0xx1sc.pdf)
* [Unboxing, Setup & Configuration of LBAD0XX1SC-DM-EVK2](https://youtu.be/8YWQ8Hu4ClA?si=VpXjyaRfQ1BuK6Y0)

{% embed url="<https://www.youtube.com/watch?v=y2b6glGETY0>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.monogoto.io/ntn-satellite-networks/ntn-certified-devices/ntn-certified-modules/murata-alt1250-satellite-ntn-network.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
